﻿<div class="modal" style="display:@MsgShow" id="myModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">@MsgHeader</h4>
                <button type="button" class="close" @onclick="@(() => modalShowHide("hide"))" data-dismiss="modal">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                <input type="hidden" id="bodyField" bind=@MsgId />
                @MsgBody 
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn" @onclick="@(() => modalShowHide("hide"))" data-dismiss="modal" >Cancel</button>
                <button type="submit" class="btn btn-danger" @onmousedown="(()=>invokeYes(MsgId))" @onmouseup="@(() => modalShowHide("hide"))">Yes</button>
            </div>

        </div>
    </div>
</div>
@code {
    [Parameter]
    public long MsgId { get; set; }
    [Parameter]
    public string MsgHeader { get; set; }
    [Parameter]
    public string MsgBody { get; set; }
    [Parameter]
    public string MsgShow { get; set; } = "none";
    [Parameter]
    public EventCallback<long> OnClickYes { get; set; }

    private async Task invokeYes(long Id)
    {
        await OnClickYes.InvokeAsync(this.MsgId);
        modalShowHide("hide");
    }

    protected void modalShowHide(string value)
    {
        if(value.ToLower() == "show")
        {
            this.MsgShow = "block";
        }
        else
        {
            this.MsgShow = "none";
        }
    }

}
